List voice tools

Returns available voice tools for the current tenant

GET /Agent/voice-tools

Returns available voice tools for the current tenant

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
agentIdqueryinteger · int32No—default: 0

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Agent/voice-tools?agentId={agentId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Successfully returned voice toolsapplication/json · array<AgentVoiceToolDto>

Example response (200):

[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "isTenantReference": true
  }
]

Data models

AgentVoiceToolDto
PropertyTypeRequiredDescriptionConstraints
idstringNo—nullable
namestringNo—nullable
descriptionstringNo—nullable
isTenantReferencebooleanNo——